nvme_get_log_smart(2)

NAME
nvme_get_log_smart - Retrieve nvme smart log

SYNOPSIS
int nvme_get_log_smart (int fd , __u32 nsid , bool rae , struct nvme_smart_log *smart_log );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Optional namespace identifier

rae Retain asynchronous events

smart_log
    User address to store the smart log

DESCRIPTION
This log page provides SMART and general health information. The information provided is over the life of the controller and is retained across power cycles. To request the controller log page, the namespace identifier specified is FFFFFFFFh. The controller may also support requesting the log page on a per namespace basis, as indicated by bit 0 of the LPA field in the Identify Controller data structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.